Knowledge Base
Create Answer Library entry
Create an Answer Library entry.
POST
/
knowledge-base
/
answer-library
Create Answer Library entry
curl --request POST \
--url https://api.vanta.com/v1/knowledge-base/answer-library \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}
'import requests
url = "https://api.vanta.com/v1/knowledge-base/answer-library"
payload = {
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: 'Do you encrypt customer data at rest?',
answer: 'Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.',
ownerAssignment: {type: 'User', id: '507f1f77bcf86cd799439041'},
expirationDate: '2025-12-31T00:00:00.000Z',
tags: [{categoryId: '507f1f77bcf86cd799439011', tagId: '507f1f77bcf86cd799439013'}]
})
};
fetch('https://api.vanta.com/v1/knowledge-base/answer-library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/knowledge-base/answer-library",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => 'Do you encrypt customer data at rest?',
'answer' => 'Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.',
'ownerAssignment' => [
'type' => 'User',
'id' => '507f1f77bcf86cd799439041'
],
'expirationDate' => '2025-12-31T00:00:00.000Z',
'tags' => [
[
'categoryId' => '507f1f77bcf86cd799439011',
'tagId' => '507f1f77bcf86cd799439013'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/knowledge-base/answer-library"
payload := strings.NewReader("{\n \"question\": \"Do you encrypt customer data at rest?\",\n \"answer\": \"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.\",\n \"ownerAssignment\": {\n \"type\": \"User\",\n \"id\": \"507f1f77bcf86cd799439041\"\n },\n \"expirationDate\": \"2025-12-31T00:00:00.000Z\",\n \"tags\": [\n {\n \"categoryId\": \"507f1f77bcf86cd799439011\",\n \"tagId\": \"507f1f77bcf86cd799439013\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vanta.com/v1/knowledge-base/answer-library")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"Do you encrypt customer data at rest?\",\n \"answer\": \"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.\",\n \"ownerAssignment\": {\n \"type\": \"User\",\n \"id\": \"507f1f77bcf86cd799439041\"\n },\n \"expirationDate\": \"2025-12-31T00:00:00.000Z\",\n \"tags\": [\n {\n \"categoryId\": \"507f1f77bcf86cd799439011\",\n \"tagId\": \"507f1f77bcf86cd799439013\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/knowledge-base/answer-library")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"Do you encrypt customer data at rest?\",\n \"answer\": \"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.\",\n \"ownerAssignment\": {\n \"type\": \"User\",\n \"id\": \"507f1f77bcf86cd799439041\"\n },\n \"expirationDate\": \"2025-12-31T00:00:00.000Z\",\n \"tags\": [\n {\n \"categoryId\": \"507f1f77bcf86cd799439011\",\n \"tagId\": \"507f1f77bcf86cd799439013\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "507f1f77bcf86cd799439031",
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"expirationStatus": "CURRENT",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041",
"displayName": "Alex Rivera"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"createdAt": "2024-09-03T14:22:17.000Z",
"lastUpdated": "2024-10-12T16:08:42.000Z",
"lastVerified": "2024-12-01T09:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}Authorizations
Body
application/json
Response
200 - application/json
Ok
Was this page helpful?
⌘I
Create Answer Library entry
curl --request POST \
--url https://api.vanta.com/v1/knowledge-base/answer-library \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}
'import requests
url = "https://api.vanta.com/v1/knowledge-base/answer-library"
payload = {
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
question: 'Do you encrypt customer data at rest?',
answer: 'Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.',
ownerAssignment: {type: 'User', id: '507f1f77bcf86cd799439041'},
expirationDate: '2025-12-31T00:00:00.000Z',
tags: [{categoryId: '507f1f77bcf86cd799439011', tagId: '507f1f77bcf86cd799439013'}]
})
};
fetch('https://api.vanta.com/v1/knowledge-base/answer-library', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/knowledge-base/answer-library",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'question' => 'Do you encrypt customer data at rest?',
'answer' => 'Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.',
'ownerAssignment' => [
'type' => 'User',
'id' => '507f1f77bcf86cd799439041'
],
'expirationDate' => '2025-12-31T00:00:00.000Z',
'tags' => [
[
'categoryId' => '507f1f77bcf86cd799439011',
'tagId' => '507f1f77bcf86cd799439013'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/knowledge-base/answer-library"
payload := strings.NewReader("{\n \"question\": \"Do you encrypt customer data at rest?\",\n \"answer\": \"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.\",\n \"ownerAssignment\": {\n \"type\": \"User\",\n \"id\": \"507f1f77bcf86cd799439041\"\n },\n \"expirationDate\": \"2025-12-31T00:00:00.000Z\",\n \"tags\": [\n {\n \"categoryId\": \"507f1f77bcf86cd799439011\",\n \"tagId\": \"507f1f77bcf86cd799439013\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.vanta.com/v1/knowledge-base/answer-library")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"question\": \"Do you encrypt customer data at rest?\",\n \"answer\": \"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.\",\n \"ownerAssignment\": {\n \"type\": \"User\",\n \"id\": \"507f1f77bcf86cd799439041\"\n },\n \"expirationDate\": \"2025-12-31T00:00:00.000Z\",\n \"tags\": [\n {\n \"categoryId\": \"507f1f77bcf86cd799439011\",\n \"tagId\": \"507f1f77bcf86cd799439013\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/knowledge-base/answer-library")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"question\": \"Do you encrypt customer data at rest?\",\n \"answer\": \"Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.\",\n \"ownerAssignment\": {\n \"type\": \"User\",\n \"id\": \"507f1f77bcf86cd799439041\"\n },\n \"expirationDate\": \"2025-12-31T00:00:00.000Z\",\n \"tags\": [\n {\n \"categoryId\": \"507f1f77bcf86cd799439011\",\n \"tagId\": \"507f1f77bcf86cd799439013\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"id": "507f1f77bcf86cd799439031",
"question": "Do you encrypt customer data at rest?",
"answer": "Yes. All customer data is encrypted at rest using AES-256, with keys managed in AWS KMS.",
"expirationStatus": "CURRENT",
"ownerAssignment": {
"type": "User",
"id": "507f1f77bcf86cd799439041",
"displayName": "Alex Rivera"
},
"expirationDate": "2025-12-31T00:00:00.000Z",
"createdAt": "2024-09-03T14:22:17.000Z",
"lastUpdated": "2024-10-12T16:08:42.000Z",
"lastVerified": "2024-12-01T09:00:00.000Z",
"tags": [
{
"categoryId": "507f1f77bcf86cd799439011",
"tagId": "507f1f77bcf86cd799439013"
}
]
}